package com.ruoyi.hardware.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.hardware.domain.DoumuHardware;

/**
 * 设备Service接口
 * 
 * @author boman
 * @date 2024-01-23
 */
public interface IDoumuHardwareService 
{
    /**
     * 查询设备
     * 
     * @param hardwareId 设备主键
     * @return 设备
     */
    public DoumuHardware selectDoumuHardwareByHardwareId(Long hardwareId);

    /**
     * 查询设备列表
     * 
     * @param doumuHardware 设备
     * @return 设备集合
     */
    public List<DoumuHardware> selectDoumuHardwareList(DoumuHardware doumuHardware);

    /**
     * 新增设备
     * 
     * @param doumuHardware 设备
     * @return 结果
     */
    public int insertDoumuHardware(DoumuHardware doumuHardware);

    /**
     * 修改设备
     * 
     * @param doumuHardware 设备
     * @return 结果
     */
    public int updateDoumuHardware(DoumuHardware doumuHardware);

    /**
     * 批量删除设备
     * 
     * @param hardwareIds 需要删除的设备主键集合
     * @return 结果
     */
    public int deleteDoumuHardwareByHardwareIds(Long[] hardwareIds);

    /**
     * 删除设备信息
     * 
     * @param hardwareId 设备主键
     * @return 结果
     */
    public int deleteDoumuHardwareByHardwareId(Long hardwareId);
    public AjaxResult setType(String type);
    public AjaxResult setTypeOpen(DoumuHardware doumuHardware);
}
